My Project: Stencil Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Stencil Class Reference

`#include <stencil.h>`

## Public Member Functions

| Stencil ()
void | StencilMesh (Mesh *mesh, int mode=1)
void | StencilClsColor (float r, float g, float b)
void | StencilClsMode (int color, int zbuffer)
void | StencilAlpha (float a)
void | StencilMode (int m, int o=1)
void | UseStencil ()

## Static Public Member Functions

static Stencil * | CreateStencil ()

## Public Attributes

list< Mesh * > | StencilMesh_list
list< int > | StencilMode_list
float | cls_r
float | cls_g
float | cls_b
bool | cls_color
bool | cls_zbuffer
float | alpha
int | stencil_mode
int | stencil_operator

## Static Public Attributes

static int | midStencilVal

## Constructor & Destructor Documentation

## § Stencil()

Stencil::Stencil | ( |  | ) |

inline

## Member Function Documentation

## § CreateStencil()

Stencil * Stencil::CreateStencil | ( |  | ) |

static

## § StencilAlpha()

void Stencil::StencilAlpha | ( | float | a | ) |

## § StencilClsColor()

void Stencil::StencilClsColor | ( | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § StencilClsMode()

void Stencil::StencilClsMode | ( | int | color,
|  | int | zbuffer
| ) |  |

## § StencilMesh()

void Stencil::StencilMesh | ( | Mesh * | mesh,
|  | int | mode = `1`
| ) |  |

## § StencilMode()

void Stencil::StencilMode | ( | int | m,
|  | int | o = `1`
| ) |  |

## § UseStencil()

void Stencil::UseStencil | ( |  | ) |

## Member Data Documentation

## § alpha

float Stencil::alpha

## § cls_b

float Stencil::cls_b

## § cls_color

bool Stencil::cls_color

## § cls_g

float Stencil::cls_g

## § cls_r

float Stencil::cls_r

## § cls_zbuffer

bool Stencil::cls_zbuffer

## § midStencilVal

int Stencil::midStencilVal

static

## § stencil_mode

int Stencil::stencil_mode

## § stencil_operator

int Stencil::stencil_operator

## § StencilMesh_list

list<Mesh*> Stencil::StencilMesh_list

## § StencilMode_list

list<int> Stencil::StencilMode_list

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/stencil.h
- openb3dlib.mod/openb3d/src/stencil.cpp